%define	version	0.5
%define release	1mdk

Summary:	CSboard
Name:		csboard
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://csboard.berlios.de/
Source:		http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mono >= 0.95
BuildRequires:	glade-sharp-devel >= 0.93
BuildRequires:	gnome-sharp-devel >= 0.93
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
Requires:	chessengine
Prereq:		GConf2 >= 2.3.3
Prereq:		scrollkeeper

%description
CSBoard is a small GUI for gnuchess. It is written in C# and uses
gtk-sharp and mono. It is simple, but allows you just play chess with
SVG graphics and native look and desktop theme usage.  CSBoard use
gnuchess as playing engine, but you can also play with crafty of
phalanx.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{name}" \
 icon="strategy_section.png" \
 longtitle="GUI frontend for chess engine" \
 needs="x11" \
 section="More Applications/Games/Boards" \
 title="CSBoard" \
 startup_notify="yes"
_EOF_

%find_lang %{name} --with-gnome --all-name


%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in csboard; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in csboard; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS
%{_sysconfdir}/gconf/schemas/*.schemas
%{_gamesbindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/omf/*
%{_datadir}/pixmaps/*.png
%{_menudir}/%{name}

%changelog
* Sat Nov 20 2004 Abel Cheung <deaddog@mandrake.org> 0.5-1mdk
- First Mandrake package
